
Foreman - Bug #6043

unable to import puppet classes

06/03/2014 06:07 PM - Peter Berghold

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

ProxyAPI::ProxyException

ERF12-4115 [ProxyAPI::ProxyException]: Unable to get classes from Puppet for production ([RestClient::NotAcceptable]: 406 Not

Acceptable) for proxy http://mcadprod1.mca.sharkrivertech.com:8443/puppet

lib/proxy_api/puppet.rb:27:in `rescue in classes'

lib/proxy_api/puppet.rb:21:in `classes'

app/services/puppet_class_importer.rb:155:in `actual_classes'

app/services/puppet_class_importer.rb:78:in `new_classes_for'

app/services/puppet_class_importer.rb:25:in `block in changes'

app/services/puppet_class_importer.rb:24:in `each'

app/services/puppet_class_importer.rb:24:in `changes'

app/controllers/concerns/foreman/controller/environments.rb:11:in `import_environments'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

History

#1 - 06/04/2014 11:07 AM - Dominic Cleal

- Status changed from New to Need more information

Please check the proxy log file at /var/log/foreman-proxy/proxy.log on the mcadprod1.mca.sharkrivertech.com server.  Also please provide Puppet

and foreman-proxy versions.

#2 - 06/04/2014 03:15 PM - Peter Berghold

This can be closed.  After some research I found a patch that needed to be applied for Debian based servers.  After applying the patch it started

working just fine.

#3 - 06/04/2014 04:19 PM - Dominic Cleal

- Status changed from Need more information to Rejected

Thanks, probably #5856.
